/*
Theme Name:     SHIN-NY
Theme URI:      https://shinny.org
Template:       kadence
Author:         Equalize Digital
Author URI:     https://equalizedigital.com
Description:    This is a custom Kadence child theme for the SHIN-NY website by Equalize Digital.
Version:        1.0
License:        GNU General Public License v3.0 (or later)
License URI:    https://www.gnu.org/licenses/gpl-3.0.html
*/

/** Mobile menu styles **/
.mobile-navigation:not(.drawer-navigation-parent-toggle-true) ul li.menu-item-has-children .drawer-nav-drop-wrap button {
	border-left: 0;
}

/** Page header styles **/
.post-archive-hero-section .entry-hero-container-inner, 
.post-hero-section .entry-hero-container-inner, 
.page-hero-section .entry-hero-container-inner {
    background-image: url("assets/logo-pattern.svg");
    background-repeat: no-repeat;
    background-size: 350px auto;
    background-position: right 30px top 10px;
}

/** Home page styles **/
/* Scope to just this Query Card instance */
.match-height-query .kb-query-grid-wrap{
  align-items: stretch; /* make all grid rows equal-height */
}

.match-height-query .kb-query-item{
  height: 100%;
  display: flex;        /* so the child can stretch */
}

.match-height-query .kb-query-item > .wp-block-kadence-column{
  width: 100%;
  display: flex;
}

/* let the card content fill the full card height */
.match-height-query .kt-inside-inner-col{
  flex: 1;
}
.match-height-query .wp-block-post-excerpt{
  flex: 1;
}

/* push "Read More" to the bottom of each card */
.match-height-query .kt-adv-heading22_cf0dc7-58{
  margin-top: auto;
}

/** Breadcrumb styles **/
.breadcrumb-list {
    list-style: none;
    display: flex;
    gap: 0.5rem;
    padding: 0;
    margin: 0;
}

.breadcrumb-item + .breadcrumb-item::before {
    content: "/";
    margin-right: 0.5rem;
}

/** FAQ Block styles **/
.wp-block-accordion button{
  border-radius: 0;
}

.wp-block-accordion button:hover {
  background: #cfe1ea;
  color: #0a3255;
  box-shadow: none;
}

.wp-block-accordion button:focus {
  box-shadow: none;
  text-decoration: none;
  background: #fff;
  color: #0a3255;
  outline: 2px solid;
}

/** Timeline styles **/
.kb-row-layout-wrap.vertical-line {
	background-position: 37% center !important;
}

@media screen and (max-width: 768px) {
  .kb-row-layout-wrap.vertical-line {
    background-position: 50% center !important;
  }

  .mobile-center {
    text-align: center;
  }
}

/** Blog post styles **/
.single-post .content-container {
    max-width: 800px;
    margin: 0 auto;
}

.single-post .content-container .single-entry {
    border-bottom: 1px solid var(--global-palette2);
    padding-bottom: 4rem;
}

.single-post .content-area {
  margin-bottom: 0;
}

.single-post .kadence-posts-list .entry-list-item article {
  border: 1px solid var(--global-palette7, #EDF2F7);
}

.loop-entry.type-post h2.entry-title a:hover,
.single-post .kadence-posts-list .entry-list-item article a:hover {
  text-decoration: underline !important;
}

.single-post .splide__pagination__page {
  height: 18px;
  width: 18px;
  margin: 15px;
  background: var(--global-palette1);
  opacity: .7;;
}


.single-post .splide__pagination__page.is-active{
  border-radius: 4px; /* square instead of circle to add a non color indicator */
}


.single-post .splide .splide__pagination {
    bottom: -50px;
}

.single-post .splide__arrows {
  display: none;
}

/** Footer styles **/
@media screen and (min-width: 1225px) {
	.site-footer-middle-section-1 {
		border-right: 1px solid var(--global-palette7);
		padding-right: 2.8em;
	}

	.site-footer-middle-section-2 {
		padding-left:1.4em
	}
}

.site-footer-middle-section-1 {
	max-width: 300px;
}

/* Fix for nested <mark> element not rendering properly in Edge browser */
.wp-block-kadence-advancedheading mark.kt-highlight mark.kt-highlight {
    background: none !important;
    background-image: none !important;
    padding: 0 !important;
    border-radius: 0 !important;
    box-decoration-break: initial !important;
    -webkit-box-decoration-break: initial !important;
}
